{ $HDR$}
{**********************************************************************}
{ Unit archived using Team Coherence                                   }
{ Team Coherence is Copyright 2002 by Quality Software Components      }
{                                                                      }
{ For further information / comments, visit our WEB site at            }
{ http://www.TeamCoherence.com                                         }
{**********************************************************************}
{}
{ $Log:  11910: IdBaseComponent.pas
{
{   Rev 1.0    11/13/2002 08:38:26 AM  JPMugaas
}
unit IdBaseComponent;

interface

uses
  Classes, System.ComponentModel.Design.Serialization;

// ***********************************************************
// TIdBaseComponent is the base class for all Indy components.
// ***********************************************************
type
  [RootDesignerSerializerAttribute('', '', False)]
  TIdBaseComponent = class(TComponent)
  public
    function GetVersion: string;
    property Version: string read GetVersion;
  published
  end;

implementation

uses
  IdCoreGlobal;

function TIdBaseComponent.GetVersion: string;
begin
  Result := gsIdVersion;
end;

end.
